Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphPositioningTable.PairValues

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphPositioningTable.PairValues

Enclosing class:
  GlyphPositioningTable

    public static class GlyphPositioningTable.PairValues

extends java.lang.Object

The `PairValues` class implements a pair value record, comprising a glyph id (or zero) and two optional positioning values.

Constructor Summary
`GlyphPositioningTable.PairValues(int glyph, GlyphPositioningTable.Value value1, GlyphPositioningTable.Value value2)` Instantiate a PairValues.

Method Summary
`int` | `getGlyph()`
`GlyphPositioningTable.Value` | `getValue1()`
`GlyphPositioningTable.Value` | `getValue2()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphPositioningTable.PairValues

    public GlyphPositioningTable.PairValues(int glyph,
                                            GlyphPositioningTable.Value value1,
                                            GlyphPositioningTable.Value value2)

  Instantiate a PairValues.

  Parameters:
    `glyph` - the glyph id (or zero)
    `value1` - the value of the first glyph in pair (or null)
    `value2` - the value of the second glyph in pair (or null)

Method Detail

### getGlyph

    public int getGlyph()

  Returns:
    the glyph id

### getValue1

    public GlyphPositioningTable.Value getValue1()

  Returns:
    the first value

### getValue2

    public GlyphPositioningTable.Value getValue2()

  Returns:
    the second value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.